## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# CountersTable.hpp File Reference

Include dependency graph for CountersTable.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

- struct Counter
    <meta name="usage" content="internal"/> A class that does incremental counting for support of xsl:number. More...
- class CountersTable
    <meta name="usage" content="internal"/> This is a table of counters, keyed by ElemNumber objects, each of which has a list of Counter objects. More...

## Defines

- #define XALAN_COUNTERSTABLE_HEADER_GUARD_1357924680

## Typedefs

- typedef XalanVector< Counter > CounterVectorTypeDecl
- typedef XalanVector< CounterVectorTypeDecl > ElemCounterVectorVectorTypeDecl

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  class ElemNumber
    Id
      CountersTable.hpp,v 1.7 2004/11/08 18:18:56 dmitryh Exp

## Define Documentation

#define XALAN_COUNTERSTABLE_HEADER_GUARD_1357924680

## Typedef Documentation

typedef XalanVector<Counter> CounterVectorTypeDecl

typedef XalanVector<CounterVectorTypeDecl> ElemCounterVectorVectorTypeDecl

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN class ElemNumber

| Id CountersTable.hpp,v 1.7 2004/11/08 18:18:56 dmitryh Exp State Exp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.